VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::networking::dns::ServersTypes::DNSServerMode Class Reference

`Servers.DNSServerMode` enumerated type Describes DNS Server source (DHCP,static) More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, dhcp, is_static }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static DNSServerMode[] | GetValues ()
static DNSServerMode | ValueOf (string name)
## Static Public Attributes
static readonly DNSServerMode | dhcp = new DNSServerMode("dhcp", Values.dhcp)
| DNS address is automatically assigned by a DHCP server.
static readonly DNSServerMode | is_static = new DNSServerMode("is_static", Values.is_static)
| DNS address is static.

## Detailed Description

`Servers.DNSServerMode` enumerated type Describes DNS Server source (DHCP,static)

## Member Enumeration Documentation

enum vmware::appliance::networking::dns::ServersTypes::DNSServerMode::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  dhcp | DNS address is automatically assigned by a DHCP server.
  is_static | DNS address is static.

## Member Function Documentation

Values vmware::appliance::networking::dns::ServersTypes::DNSServerMode::GetEnumValue | ( |  | ) | `[inline]`

static DNSServerMode [] vmware::appliance::networking::dns::ServersTypes::DNSServerMode::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::networking::dns::ServersTypes::DNSServerMode::IsUnknown | ( |  | ) | `[inline]`

static DNSServerMode vmware::appliance::networking::dns::ServersTypes::DNSServerMode::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly DNSServerMode vmware::appliance::networking::dns::ServersTypes::DNSServerMode::dhcp = new DNSServerMode("dhcp", Values.dhcp)`[static]`

DNS address is automatically assigned by a DHCP server.

readonly DNSServerMode vmware::appliance::networking::dns::ServersTypes::DNSServerMode::is_static = new DNSServerMode("is_static", Values.is_static)`[static]`

DNS address is static.

The documentation for this class was generated from the following file:

- ServersTypes.cs